Bug 1786893 - ipython-7.11.1 is available
Summary: ipython-7.11.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipython
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON39
TreeView+ depends on / blocked
 
Reported: 2019-12-29 00:54 UTC by Upstream Release Monitoring
Modified: 2020-02-11 01:13 UTC (History)
9 users (show)

Fixed In Version: ipython-7.11.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 01:13:26 UTC


Attachments (Terms of Use)
[patch] Update to 7.11.0 (#1786893) (885 bytes, patch)
2019-12-29 00:54 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 7.11.1 (#1786893) (884 bytes, patch)
2020-01-05 09:20 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2019-12-29 00:54:02 UTC
Latest upstream release: 7.11.0
Current version/release in rawhide: 7.10.2-1.fc32
URL: https://ipython.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1399/

Comment 1 Upstream Release Monitoring 2019-12-29 00:54:07 UTC
Created attachment 1648287 [details]
[patch] Update to 7.11.0 (#1786893)

Comment 2 Upstream Release Monitoring 2019-12-29 01:00:44 UTC
the-new-hotness/release-monitoring.org's scratch build of ipython-7.11.0-1.fc29.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=39968801

Comment 3 Upstream Release Monitoring 2020-01-05 09:20:01 UTC
Latest upstream release: 7.11.1
Current version/release in rawhide: 7.10.2-1.fc32
URL: https://ipython.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1399/

Comment 4 Upstream Release Monitoring 2020-01-05 09:20:07 UTC
Created attachment 1649923 [details]
[patch] Update to 7.11.1 (#1786893)

Comment 5 Upstream Release Monitoring 2020-01-05 09:35:39 UTC
the-new-hotness/release-monitoring.org's scratch build of ipython-7.11.1-1.fc29.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=40137630

Comment 6 Fedora Update System 2020-01-06 10:41:25 UTC
FEDORA-2020-5d6c8b0c64 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d6c8b0c64

Comment 7 Fedora Update System 2020-01-07 01:06:40 UTC
ipython-7.11.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d6c8b0c64

Comment 8 Miro Hrončok 2020-01-09 07:57:13 UTC
This might have broken python-jupyter-console https://koschei.fedoraproject.org/build/7541496


======================================================================
ERROR: jupyter console --generate-config works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/builddir/build/BUILD/jupyter_console-6.0.0/jupyter_console/tests/test_console.py", line 78, in test_generate_config
    check_output([sys.executable, '-m', 'jupyter_console', '--generate-config'],
  File "/usr/lib/python3.8/subprocess.py", line 411, in check_output
    return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
  File "/usr/lib/python3.8/subprocess.py", line 512, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'jupyter_console', '--generate-config']' returned non-zero exit status 1.
======================================================================
ERROR: Failure: ImportError (cannot import name 'cast_unicode_py2' from 'IPython.utils.py3compat' (/usr/lib/python3.8/site-packages/IPython/utils/py3compat.py))
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/nose/failure.py", line 39, in runTest
    raise self.exc_val.with_traceback(self.tb)
  File "/usr/lib/python3.8/site-packages/nose/loader.py", line 416, in loadTestsFromName
    module = self.importer.importFromPath(
  File "/usr/lib/python3.8/site-packages/nose/importer.py", line 47, in importFromPath
    return self.importFromDir(dir_path, fqname)
  File "/usr/lib/python3.8/site-packages/nose/importer.py", line 94, in importFromDir
    mod = load_module(part_fqname, fh, filename, desc)
  File "/usr/lib/python3.8/imp.py", line 234, in load_module
    return load_source(name, filename, file)
  File "/usr/lib/python3.8/imp.py", line 171, in load_source
    module = _load(spec)
  File "<frozen importlib._bootstrap>", line 702, in _load
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 783, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/builddir/build/BUILD/jupyter_console-6.0.0/jupyter_console/tests/test_image_handler.py", line 14, in <module>
    from jupyter_console.ptshell import ZMQTerminalInteractiveShell
  File "/builddir/build/BUILD/jupyter_console-6.0.0/jupyter_console/ptshell.py", line 22, in <module>
    from IPython.utils.py3compat import cast_unicode_py2, input
ImportError: cannot import name 'cast_unicode_py2' from 'IPython.utils.py3compat' (/usr/lib/python3.8/site-packages/IPython/utils/py3compat.py)
======================================================================
FAIL: jupyter console --help-all works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/builddir/build/BUILD/jupyter_console-6.0.0/jupyter_console/tests/test_console.py", line 28, in test_help_output
    check_help_all_output('jupyter_console')
  File "/usr/lib/python3.8/site-packages/traitlets/tests/utils.py", line 35, in check_help_all_output
    assert rc == 0, err
AssertionError: Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 193, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 86, in _run_code
    exec(code, run_globals)
  File "/builddir/build/BUILD/jupyter_console-6.0.0/jupyter_console/__main__.py", line 1, in <module>
    from jupyter_console import app
  File "/builddir/build/BUILD/jupyter_console-6.0.0/jupyter_console/app.py", line 26, in <module>
    from jupyter_console.ptshell import ZMQTerminalInteractiveShell
  File "/builddir/build/BUILD/jupyter_console-6.0.0/jupyter_console/ptshell.py", line 22, in <module>
    from IPython.utils.py3compat import cast_unicode_py2, input
ImportError: cannot import name 'cast_unicode_py2' from 'IPython.utils.py3compat' (/usr/lib/python3.8/site-packages/IPython/utils/py3compat.py)
----------------------------------------------------------------------
Ran 5 tests in 3.421s
FAILED (errors=4, failures=1)

Please verify before you push the update to a stable release.

Comment 10 Elliott Sales de Andrade 2020-01-09 08:14:32 UTC
I think it has: https://github.com/jupyter/jupyter_console/issues/198 (and related links). There's a PR though, so I guess it'll be fixed soon, or can backport if necessary.

Comment 11 Miro Hrončok 2020-01-20 13:14:41 UTC
This now blocks the Python 3.9 rebuild of python-jupyter-console.

Comment 12 Elliott Sales de Andrade 2020-01-28 20:39:18 UTC
Current python-jupyter-console fixes this.

Comment 13 Lumír Balhar 2020-01-29 05:21:30 UTC
Ok, so I'll push the update of ipython package back to F31 once python-jupyter-console-6.1.0-1.fc31 reaches stable.

Comment 14 Miro Hrončok 2020-01-29 08:58:25 UTC
I wanted to add ipython-7.11.1-1.fc31 to the python-jupyter-console-6.1.0-1.fc31 update, but apparently, that is not possible:

   "Builds : Update for ipython-7.11.1-1.fc31 already exists"

Lumír, what about pushing the ipython-7.11.1-1.fc31 update to testing now, but disabling automatic push to stable based on karma / time, and only push it to stable manually once python-jupyter-console-6.1.0-1.fc31 is in?

Comment 15 Fedora Update System 2020-01-29 12:42:22 UTC
FEDORA-2020-5d6c8b0c64 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d6c8b0c64

Comment 16 Fedora Update System 2020-01-31 01:27:59 UTC
ipython-7.11.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d6c8b0c64

Comment 17 Fedora Update System 2020-02-07 02:44:29 UTC
ipython-7.11.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5d6c8b0c64

Comment 18 Fedora Update System 2020-02-11 01:13:26 UTC
ipython-7.11.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.